/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

.main-navigation,
.fs_customer_response_actions p {
    display: none !important;
}

.ticket-grid{
	padding-left: 20px;
	padding-right: 20px;
}

.logged-in .ticket-grid {
	grid-template-columns: 1fr;
}

.logged-in .ticket-grid .ticket-form {
	background: none !important;
}

.logged-in .ticket-grid .ticket-form #fluent_support_client_app {
    width: 100%;
}

.logged-in .ticket-grid:has(.fs_create_ticket_container) {
	height: 100%;
	padding: 3rem 0;
}

.fst_reset_pass_wrapper {
    min-width: 313px;
}

@media (width >= 1920px) {
	.fst_login_wrapper,
	.fst_reset_pass_wrapper {
		min-width: 400px;
	}
}

.fst_login_wrapper,
.fst_registration_wrapper,
.fst_reset_pass_wrapper {
    margin: 0 auto;
}

#fst_login_form input,
#fstResetPasswordForm input#fst_reset_email {
	border-radius: 0.625rem;
	background: #1D1D1D;
	border-color: #1D1D1D;
	color: #fff;
}

#fst_login_form input:focus-visible {
	outline: none !important;
}

.fst_login_wrapper input#wp-submit,
.fst_registration_wrapper #fst_submit,
.fst_reset_pass_wrapper #fst_reset_pass {
	font-size: 1.25rem;
	font-weight: 500;
	line-height: 1.75rem;
    border-radius: 0.625rem !important;
    padding: 10px !important;
    color: #fff !important;
    background-color: var(--new-blue) !important;
}

.fst_login_wrapper input#wp-submit:hover,
.fst_registration_wrapper #fst_submit:hover,
.fst_reset_pass_wrapper #fst_reset_pass:hover {
    background-color: #575760 !important;
    color: #fff !important;
}

#fst_login_form > p:first-of-type {
    display: none;
}

.fs_tickets_table table {
	border: none;
}

.fs_ticket_refresh_btn svg path {
	fill: #000;
}

.fs_back_nav .fs_back_btn {
	color: #00addf !important;
}

.fs_back_nav svg.fs_svg_back path {
	fill: #00addf !important;
}

.fs_client_portal .fs_customer_response_actions .fs_reply_btn {
    width: max-content !important;
}

.fs_client_portal .fs_tickets_table {
    border-radius: 16px;
}